Subject: [bug#49577] [PATCH] Add python-pmbootstrap

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 13 Jun 2023 22:46:30 -0400

Hi Petr,

phodina <[email-masked]> writes:

> Hi Jorge and Maxim,
>
> unfreezing this patch. So I've modified the patch to list the tests that should not be run based on the Nix example.
>
> The package is also updated to the latest version.
>
> However, I'm struggling with the import of the `pmb_test` module.
>
> I've modified the variable `PYTHONPATH` accordingly to fix the error:
> ```
> E   ModuleNotFoundError: No module named 'pmb_test'
> ``` 
>
> But now I get the following error:
> ```
> wrong-type-arg "string-append" "Wrong type (expecting ~A): ~S" ("string" #f) (#f)
> ```
>
> So it seems the `PYTHONPATH` env variable is not set. Do you know how to fix this?

Maybe because we've moved to use GUIX_PYTHONPATH and not PYTHONPATH?

-- 
Thanks,
Maxim